Bug 4618 - [UPDATE REQUEST] fglrx 14.301.1001
: [UPDATE REQUEST] fglrx 14.301.1001
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-05 16:48 MSK by Eugene Shatokhin
Modified: 2014-11-17 14:24 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-11-05 16:48:34 MSK
The proprietary drivers for AMD Radeon GPUs were updated to version 14.301.1001 (corresponds to Catalyst 14.9).
Comment 1 Eugene Shatokhin 2014-11-05 16:52:35 MSK
Advisory:
The proprietary drivers for AMD Radeon GPUs were updated to version 14.301.1001 (corresponds to Catalyst 14.9). The main changes are as follows.
New Features: 
  * Support for AMD Radeon R9 285
Resolved Issues:
  * Witcher 2 random lock-up seen when launching the application
  * Screen corruption when connecting an external monitor to some PowerXpress AMD GPU + Intel CPU platforms
  * Intermittent X crash when the user does a rotation with Tear Free Desktop enabled
  * Failure on exit of OpenGL programs
  * Error message being displayed when a user does run clinfo in console mode
  * Blank screen when hot plugging an HDMI monitor from a MST hub
  * System hang after resume from S3/S4 in High Performance mode on PowerXpress AMD GPU + Intel CPU platforms
  * Corruption or artifacting on the bottom right corner of the screen before booting into login UI during restart
  * Occasional segmentation fault when running ETQW
  * xscreensavers test failing with multi-GPU Crossfire™ configurations
  * Motion Builder severe flickering while toggling full screen
  * Intermittent crashing and corruption observed while running X-Plane 
  * Some piglit and Khronos OpenGL conformance test failures
  * Displays occasionally going black when startx is run on Ubuntu 14.04 after switching to integrated GPU on PowerXpress AMD GPU + Intel Haswell CPU system platforms
  * A connected external display getting disabled when unplugging AC power from laptop platforms
  * An auto log out when double clicking the picture under desktop server times on PowerXpress AMD GPU + Intel CPU platforms
Known Issues:
  * Horizontal flashing lines on second screen in a clone mode with V-Sync on using AMD Mobility Graphics with Switchable Intel Graphics
  * Display takes a long time to redraw the screen after an S4 cycle

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2326979
x86_64:
https://abf.rosalinux.ru/build_lists/2326980
Comment 2 FirstLevel 2014-11-06 12:10:14 MSK
I have tested on laptop HP6465b with AMD A4 for 32 and 64 bit
1. New Installation from XFdrake  - OK
2. Upgrade from old fglrx - OK
3. glxgears - no regression
4. AMD Catalyst CC - works well
Comment 3 Vladimir Potapov 2014-11-13 13:54:41 MSK
Sent to extended testing
Comment 4 Andrey Ponomarenko 2014-11-17 11:46:39 MSK
LENOVO G570 + R4 + Hybrid Graphics Ok: http://hw.rosalinux.ru/index.php?probe=d8810e2cf9

$> fgl_glxgears
Using GLX_SGIX_pbuffer

5459 frames in 5.0 seconds = 1091.800 FPS
6129 frames in 5.0 seconds = 1225.800 FPS
6122 frames in 5.0 seconds = 1224.400 FPS
Comment 5 Andrey Ponomarenko 2014-11-17 11:57:06 MSK
HP Pavilion dv6 + R4 + fglrx Ok: http://hw.rosalinux.ru/index.php?probe=faaefe88ff

$> fgl_glxgears 
Using GLX_SGIX_pbuffer

4732 frames in 5.0 seconds = 946.400 FPS
6171 frames in 5.0 seconds = 1234.200 FPS
6184 frames in 5.0 seconds = 1236.800 FPS
Comment 6 Vladimir Potapov 2014-11-17 12:17:51 MSK
fglrx-14.301.1001-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2326979/i586/non-free/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2326980/x86_64/non-free/release/
****************************** Advisory ******************
The proprietary drivers for AMD Radeon GPUs were updated to version 14.301.1001 (corresponds to Catalyst 14.9)
****************************** Changelog ****************
New Features: 
  * Support for AMD Radeon R9 285
Resolved Issues:
  * Witcher 2 random lock-up seen when launching the application
  * Screen corruption when connecting an external monitor to some PowerXpress AMD GPU + Intel CPU platforms
  * Intermittent X crash when the user does a rotation with Tear Free Desktop enabled
  * Failure on exit of OpenGL programs
  * Error message being displayed when a user does run clinfo in console mode
  * Blank screen when hot plugging an HDMI monitor from a MST hub
  * System hang after resume from S3/S4 in High Performance mode on PowerXpress AMD GPU + Intel CPU platforms
  * Corruption or artifacting on the bottom right corner of the screen before booting into login UI during restart
  * Occasional segmentation fault when running ETQW
  * xscreensavers test failing with multi-GPU Crossfire™ configurations
  * Motion Builder severe flickering while toggling full screen
  * Intermittent crashing and corruption observed while running X-Plane 
  * Some piglit and Khronos OpenGL conformance test failures
  * Displays occasionally going black when startx is run on Ubuntu 14.04 after switching to integrated GPU on PowerXpress AMD GPU + Intel Haswell CPU system platforms
  * A connected external display getting disabled when unplugging AC power from laptop platforms
  * An auto log out when double clicking the picture under desktop server times on PowerXpress AMD GPU + Intel CPU platforms
Known Issues:
  * Horizontal flashing lines on second screen in a clone mode with V-Sync on using AMD Mobility Graphics with Switchable Intel Graphics
  * Display takes a long time to redraw the screen after an S4 cycle
*******************************************************************
QA Verified
Comment 7 Eugene Shatokhin 2014-11-17 13:15:13 MSK
Поторопились.

Вылезли-таки проблемы на 32-битной системе:
http://hw.rosalinux.ru/index.php?probe=4efdd33735

Надо разбираться.
Comment 8 Vladimir Potapov 2014-11-17 13:47:03 MSK
Именно поэтому я прошу делать по-регламенту - писать ОК после тестирования всех систем, как резюме. Я ж не знаю, все ли вы оттестировали... Но, увы, Андрей просьбы игнорирует.
Comment 9 Eugene Shatokhin 2014-11-17 14:14:35 MSK
Перепроверили - ложная тревога. Всё работает:
http://hw.rosalinux.ru/index.php?probe=8d7caa7feb&kind=debug

Дело было в том, что там несколько систем на той машине и использовался GRUB не от этой => не было nomodeset и пр.

Теперь всё работает. Публикую.